Subject: Re: [X2Go-Dev] Bug#1198: Bug#1198: Suspend session does not work since update to Fedora 26

From: "U. M. Goon" <[email-masked]>
Date: Wed, 2 Aug 2017 22:20:27 +0200

Hi Chris,

if you're looking for things to try please enable lingering via

# loginctl enable-linger cpayne2go

because it appears even with this flag explicitly set user-sessions can 
still get killed. You can also check if that is even the problem by 
keeping open a separate SSH session while suspend/resuming or looking at 
your journal (user service getting killed). The same problem appeared on 
Arch a few weeks ago.

Also if anyone knows how the KillUserProcesses flag can get ignored, 
please let me know.

Best,
U.G.

On 08/02/2017 06:20 PM, Chris Payne wrote:
> Hi Stefan-
> 
> I could not find a window to reboot my main workstation, so I setup x2go 
> between a couple a laptops at home and can reproduce this. I set these 
> parameters (added my user as well to the Exclude list)
> 
> [root@Spotted-Ray ~]# grep -ri kill /etc/systemd/
> /etc/systemd/logind.conf:KillUserProcesses=no
> /etc/systemd/logind.conf:#KillOnlyUsers=
> /etc/systemd/logind.conf:KillExcludeUsers=root cpayne2go
> [root@Spotted-Ray ~]#
> 
> but I still get the same response even after rebooting with these in place.
> 
> Not sure what else to try, thanks again.
> 
> Chris
> [email-masked] <mailto:[email-masked]>
> 
> On Fri, Jul 28, 2017 at 3:14 PM, Stefan Baur <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Am 28.07.2017 um 22:14 schrieb Chris Payne:
> 
>     > I uncommented the line, restarted the login service
>     >
>     > systemctl status systemd-logind.service
>     >
>     > and I get the same response from a suspend. Does it require a reboot or
>     > a different restart?
> 
>     That's a good question.  If you can reboot the system without much
>     hassle, it would probably be the quickest way to find out if that
>     setting makes a difference for you.
>     If rebooting is not an option, I hope someone more knowledgeable about
>     systemd comes along and has an answer for you.
> 
>     Kind Regards,
>     Stefan Baur
> 
>     --
>     BAUR-ITCS UG (haftungsbeschränkt)
>     Geschäftsführer: Stefan Baur
>     Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
>     Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
> 
> 
> 
> 
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev
>